package org.project.abilities;

import org.project.entity.Entity;

public class BoneStrike extends SpecialAbility{

    /*
        Skeleton use this special ability
        its throws bones and damage enemies
     */

    private final int damage = 5;

    public BoneStrike() {
        super("BoneThrow",10, 3, AbilityTarget.TARGET);
    }


    @Override
    public void onApply(Entity target) {
        super.onApply(target);
    }

    @Override
    public void onTick(Entity target) {
        target.takeDamage(damage);
        System.out.println(target.getName() + " suffers from " + getName());
        reduceDuration();
    }

    @Override
    public void onExpire(Entity self) {
        System.out.println(self.getName() + "'s special ability onExpired");
    }
}
